IRPCNamedACLsAdmin.AddNamedACL

View as Markdown

Administration API / specialized admin session

Adds a named ACL to the vault.

ServiceNamed access control list administration MFiles.IRPCNamedACLsAdmin
gRPC method/MFiles.IRPCNamedACLsAdmin/AddNamedACL
HTTP (mf-http-grpc)POST /grpc/v1/add-named-acl
RequestAddNamedACLRequest
ResponseAddNamedACLResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: AddNamedACLRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
named_acladminNamedACLAdminThe new named ACL. See NamedACLAdmin.
named_acladmin.named_aclNamedACLBasic data.
named_acladmin.named_acl.idint32Named ACL ID.
named_acladmin.named_acl.namestringThe name of the named ACL.
named_acladmin.named_acl.typeNACLTypeThe type of the NACL.Values: NACLTYPE_NONE (0), NACLTYPE_NORMAL (1), NACLTYPE_INTERNAL (2).
named_acladmin.named_acl.acl_for_objectsAccessControlListThe predefined permissions. This defines the ACL which this named ACL encapsulates.
named_acladmin.named_acl.guidstringGUID for the NACL.
named_acladmin.aclAccessControlListThe permissions of this named ACL. This defines which users can see this named ACL, for example.
named_acladmin.acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
named_acladmin.acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
named_acladmin.acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
named_acladmin.acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
named_acladmin.acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
named_acladmin.acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
named_acladmin.aliasesstringSemicolon-separated list of semantic aliases.

Response: AddNamedACLResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
putf8sznamedacladminNamedACLAdminThe stored named ACL with its new ID and GUID.
putf8sznamedacladmin.named_aclNamedACLBasic data.
putf8sznamedacladmin.named_acl.idint32Named ACL ID.
putf8sznamedacladmin.named_acl.namestringThe name of the named ACL.
putf8sznamedacladmin.named_acl.typeNACLTypeThe type of the NACL.Values: NACLTYPE_NONE (0), NACLTYPE_NORMAL (1), NACLTYPE_INTERNAL (2).
putf8sznamedacladmin.named_acl.acl_for_objectsAccessControlListThe predefined permissions. This defines the ACL which this named ACL encapsulates.
putf8sznamedacladmin.named_acl.guidstringGUID for the NACL.
putf8sznamedacladmin.aclAccessControlListThe permissions of this named ACL. This defines which users can see this named ACL, for example.
putf8sznamedacladmin.acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
putf8sznamedacladmin.acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
putf8sznamedacladmin.acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
putf8sznamedacladmin.acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
putf8sznamedacladmin.acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
putf8sznamedacladmin.acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
putf8sznamedacladmin.aliasesstringSemicolon-separated list of semantic aliases.